/**
 * <copyright>
 * </copyright>
 *
 * $Id: StrutsConfigPackage.java,v 1.3 2005/07/21 15:20:59 daniel_rohe Exp $
 */
package de.strutsbox.strutsconfig;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see de.strutsbox.strutsconfig.StrutsConfigFactory
 * @model kind="package"
 * @generated
 */
public interface StrutsConfigPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "strutsconfig"; //$NON-NLS-1$

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.strutsbox.de/StrutsConfig.ecore"; //$NON-NLS-1$

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "sc"; //$NON-NLS-1$

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	StrutsConfigPackage eINSTANCE = de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl.init();

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.VisualizableImpl <em>Visualizable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.VisualizableImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getVisualizable()
	 * @generated
	 */
	int VISUALIZABLE = 0;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZABLE__DISPLAY_NAME = 0;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZABLE__DESCRIPTION = 1;

	/**
	 * The feature id for the '<em><b>Small Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZABLE__SMALL_ICON = 2;

	/**
	 * The feature id for the '<em><b>Large Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZABLE__LARGE_ICON = 3;

	/**
	 * The number of structural features of the the '<em>Visualizable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZABLE_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.ConfigurableImpl <em>Configurable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.ConfigurableImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getConfigurable()
	 * @generated
	 */
	int CONFIGURABLE = 1;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONFIGURABLE__SET_PROPERTY = 0;

	/**
	 * The number of structural features of the the '<em>Configurable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONFIGURABLE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.SetPropertyTypeImpl <em>Set Property Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.SetPropertyTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getSetPropertyType()
	 * @generated
	 */
	int SET_PROPERTY_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Property</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_PROPERTY_TYPE__PROPERTY = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_PROPERTY_TYPE__VALUE = 1;

	/**
	 * The number of structural features of the the '<em>Set Property Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_PROPERTY_TYPE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.StrutsConfigTypeImpl <em>Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getStrutsConfigType()
	 * @generated
	 */
	int STRUTS_CONFIG_TYPE = 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__ID = 0;

	/**
	 * The feature id for the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__VERSION = 1;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__DISPLAY_NAME = 2;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__DESCRIPTION = 3;

	/**
	 * The feature id for the '<em><b>Data Sources</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__DATA_SOURCES = 4;

	/**
	 * The feature id for the '<em><b>Form Beans</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__FORM_BEANS = 5;

	/**
	 * The feature id for the '<em><b>Global Exceptions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__GLOBAL_EXCEPTIONS = 6;

	/**
	 * The feature id for the '<em><b>Global Forwards</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__GLOBAL_FORWARDS = 7;

	/**
	 * The feature id for the '<em><b>Action Mappings</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__ACTION_MAPPINGS = 8;

	/**
	 * The feature id for the '<em><b>Controller</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__CONTROLLER = 9;

	/**
	 * The feature id for the '<em><b>Message Resources</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__MESSAGE_RESOURCES = 10;

	/**
	 * The feature id for the '<em><b>Plug In</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE__PLUG_IN = 11;

	/**
	 * The number of structural features of the the '<em>Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUTS_CONFIG_TYPE_FEATURE_COUNT = 12;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.DataSourcesTypeImpl <em>Data Sources Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.DataSourcesTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getDataSourcesType()
	 * @generated
	 */
	int DATA_SOURCES_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCES_TYPE__ID = 0;

	/**
	 * The feature id for the '<em><b>Data Source</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCES_TYPE__DATA_SOURCE = 1;

	/**
	 * The number of structural features of the the '<em>Data Sources Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCES_TYPE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.DataSourceTypeImpl <em>Data Source Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.DataSourceTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getDataSourceType()
	 * @generated
	 */
	int DATA_SOURCE_TYPE = 5;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCE_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCE_TYPE__ID = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCE_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Key</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCE_TYPE__KEY = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCE_TYPE__TYPE = CONFIGURABLE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the the '<em>Data Source Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SOURCE_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.FormBeansTypeImpl <em>Form Beans Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.FormBeansTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getFormBeansType()
	 * @generated
	 */
	int FORM_BEANS_TYPE = 6;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEANS_TYPE__ID = 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEANS_TYPE__TYPE = 1;

	/**
	 * The feature id for the '<em><b>Form Bean</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEANS_TYPE__FORM_BEAN = 2;

	/**
	 * The number of structural features of the the '<em>Form Beans Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEANS_TYPE_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.FormBeanTypeImpl <em>Form Bean Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.FormBeanTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getFormBeanType()
	 * @generated
	 */
	int FORM_BEAN_TYPE = 7;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__DISPLAY_NAME = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__DESCRIPTION = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Small Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__SMALL_ICON = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Large Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__LARGE_ICON = CONFIGURABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__ID = CONFIGURABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__NAME = CONFIGURABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__TYPE = CONFIGURABLE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__DYNAMIC = CONFIGURABLE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Form Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE__FORM_PROPERTY = CONFIGURABLE_FEATURE_COUNT + 9;

	/**
	 * The number of structural features of the the '<em>Form Bean Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_BEAN_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 10;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.FormPropertyTypeImpl <em>Form Property Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.FormPropertyTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getFormPropertyType()
	 * @generated
	 */
	int FORM_PROPERTY_TYPE = 8;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_PROPERTY_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_PROPERTY_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_PROPERTY_TYPE__NAME = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_PROPERTY_TYPE__TYPE = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Initial</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_PROPERTY_TYPE__INITIAL = CONFIGURABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_PROPERTY_TYPE__SIZE = CONFIGURABLE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the the '<em>Form Property Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORM_PROPERTY_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.GlobalExceptionsTypeImpl <em>Global Exceptions Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.GlobalExceptionsTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getGlobalExceptionsType()
	 * @generated
	 */
	int GLOBAL_EXCEPTIONS_TYPE = 9;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GLOBAL_EXCEPTIONS_TYPE__ID = 0;

	/**
	 * The feature id for the '<em><b>Exception</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GLOBAL_EXCEPTIONS_TYPE__EXCEPTION = 1;

	/**
	 * The number of structural features of the the '<em>Global Exceptions Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GLOBAL_EXCEPTIONS_TYPE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.ExceptionTypeImpl <em>Exception Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.ExceptionTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getExceptionType()
	 * @generated
	 */
	int EXCEPTION_TYPE = 10;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__DISPLAY_NAME = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__DESCRIPTION = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Small Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__SMALL_ICON = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Large Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__LARGE_ICON = CONFIGURABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__ID = CONFIGURABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Key</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__KEY = CONFIGURABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__TYPE = CONFIGURABLE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Handler</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__HANDLER = CONFIGURABLE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__PATH = CONFIGURABLE_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Scope</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__SCOPE = CONFIGURABLE_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Bundle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE__BUNDLE = CONFIGURABLE_FEATURE_COUNT + 11;

	/**
	 * The number of structural features of the the '<em>Exception Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXCEPTION_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 12;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.GlobalForwardsTypeImpl <em>Global Forwards Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.GlobalForwardsTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getGlobalForwardsType()
	 * @generated
	 */
	int GLOBAL_FORWARDS_TYPE = 11;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GLOBAL_FORWARDS_TYPE__ID = 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GLOBAL_FORWARDS_TYPE__TYPE = 1;

	/**
	 * The feature id for the '<em><b>Forward</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GLOBAL_FORWARDS_TYPE__FORWARD = 2;

	/**
	 * The number of structural features of the the '<em>Global Forwards Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GLOBAL_FORWARDS_TYPE_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.ForwardTypeImpl <em>Forward Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.ForwardTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getForwardType()
	 * @generated
	 */
	int FORWARD_TYPE = 12;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__DISPLAY_NAME = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__DESCRIPTION = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Small Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__SMALL_ICON = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Large Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__LARGE_ICON = CONFIGURABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__ID = CONFIGURABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__NAME = CONFIGURABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__PATH = CONFIGURABLE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Module</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__MODULE = CONFIGURABLE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Redirect</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__REDIRECT = CONFIGURABLE_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Context Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE__CONTEXT_RELATIVE = CONFIGURABLE_FEATURE_COUNT + 10;

	/**
	 * The number of structural features of the the '<em>Forward Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FORWARD_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 11;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.ActionMappingsTypeImpl <em>Action Mappings Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.ActionMappingsTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getActionMappingsType()
	 * @generated
	 */
	int ACTION_MAPPINGS_TYPE = 13;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_MAPPINGS_TYPE__ID = 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_MAPPINGS_TYPE__TYPE = 1;

	/**
	 * The feature id for the '<em><b>Action</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_MAPPINGS_TYPE__ACTION = 2;

	/**
	 * The number of structural features of the the '<em>Action Mappings Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_MAPPINGS_TYPE_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.ActionTypeImpl <em>Action Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.ActionTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getActionType()
	 * @generated
	 */
	int ACTION_TYPE = 14;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__DISPLAY_NAME = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__DESCRIPTION = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Small Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__SMALL_ICON = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Large Icon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__LARGE_ICON = CONFIGURABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__ID = CONFIGURABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__PATH = CONFIGURABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Scope</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__SCOPE = CONFIGURABLE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__NAME = CONFIGURABLE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__TYPE = CONFIGURABLE_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Forward1</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__FORWARD1 = CONFIGURABLE_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Input</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__INPUT = CONFIGURABLE_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Attribute</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__ATTRIBUTE = CONFIGURABLE_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Include</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__INCLUDE = CONFIGURABLE_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Parameter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__PARAMETER = CONFIGURABLE_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Prefix</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__PREFIX = CONFIGURABLE_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Suffix</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__SUFFIX = CONFIGURABLE_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__ROLES = CONFIGURABLE_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Unknown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__UNKNOWN = CONFIGURABLE_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Validate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__VALIDATE = CONFIGURABLE_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Exception</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__EXCEPTION = CONFIGURABLE_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Forward</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__FORWARD = CONFIGURABLE_FEATURE_COUNT + 21;

	/**
	 * The number of structural features of the the '<em>Action Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 22;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.ControllerTypeImpl <em>Controller Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.ControllerTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getControllerType()
	 * @generated
	 */
	int CONTROLLER_TYPE = 15;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__ID = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Buffer Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__BUFFER_SIZE = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Content Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__CONTENT_TYPE = CONFIGURABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Forward Pattern</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__FORWARD_PATTERN = CONFIGURABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Input Forward</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__INPUT_FORWARD = CONFIGURABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Locale</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__LOCALE = CONFIGURABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Max File Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__MAX_FILE_SIZE = CONFIGURABLE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Mem File Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__MEM_FILE_SIZE = CONFIGURABLE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Multipart Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__MULTIPART_CLASS = CONFIGURABLE_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Nocache</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__NOCACHE = CONFIGURABLE_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Page Pattern</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__PAGE_PATTERN = CONFIGURABLE_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Processor Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__PROCESSOR_CLASS = CONFIGURABLE_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Temp Dir</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE__TEMP_DIR = CONFIGURABLE_FEATURE_COUNT + 13;

	/**
	 * The number of structural features of the the '<em>Controller Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROLLER_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 14;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.MessageResourcesTypeImpl <em>Message Resources Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.MessageResourcesTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getMessageResourcesType()
	 * @generated
	 */
	int MESSAGE_RESOURCES_TYPE = 16;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MESSAGE_RESOURCES_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MESSAGE_RESOURCES_TYPE__ID = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MESSAGE_RESOURCES_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Parameter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MESSAGE_RESOURCES_TYPE__PARAMETER = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Factory</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MESSAGE_RESOURCES_TYPE__FACTORY = CONFIGURABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Key</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MESSAGE_RESOURCES_TYPE__KEY = CONFIGURABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MESSAGE_RESOURCES_TYPE__NULL = CONFIGURABLE_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the the '<em>Message Resources Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MESSAGE_RESOURCES_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.impl.PlugInTypeImpl <em>Plug In Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.impl.PlugInTypeImpl
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getPlugInType()
	 * @generated
	 */
	int PLUG_IN_TYPE = 17;

	/**
	 * The feature id for the '<em><b>Set Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PLUG_IN_TYPE__SET_PROPERTY = CONFIGURABLE__SET_PROPERTY;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PLUG_IN_TYPE__ID = CONFIGURABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PLUG_IN_TYPE__CLASS_NAME = CONFIGURABLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the the '<em>Plug In Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PLUG_IN_TYPE_FEATURE_COUNT = CONFIGURABLE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link de.strutsbox.strutsconfig.RequestScope <em>Request Scope</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.strutsbox.strutsconfig.RequestScope
	 * @see de.strutsbox.strutsconfig.impl.StrutsConfigPackageImpl#getRequestScope()
	 * @generated
	 */
	int REQUEST_SCOPE = 18;


	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.Visualizable <em>Visualizable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Visualizable</em>'.
	 * @see de.strutsbox.strutsconfig.Visualizable
	 * @generated
	 */
	EClass getVisualizable();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.Visualizable#getDisplayName <em>Display Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Display Name</em>'.
	 * @see de.strutsbox.strutsconfig.Visualizable#getDisplayName()
	 * @see #getVisualizable()
	 * @generated
	 */
	EAttribute getVisualizable_DisplayName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.Visualizable#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see de.strutsbox.strutsconfig.Visualizable#getDescription()
	 * @see #getVisualizable()
	 * @generated
	 */
	EAttribute getVisualizable_Description();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.Visualizable#getSmallIcon <em>Small Icon</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Small Icon</em>'.
	 * @see de.strutsbox.strutsconfig.Visualizable#getSmallIcon()
	 * @see #getVisualizable()
	 * @generated
	 */
	EAttribute getVisualizable_SmallIcon();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.Visualizable#getLargeIcon <em>Large Icon</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Large Icon</em>'.
	 * @see de.strutsbox.strutsconfig.Visualizable#getLargeIcon()
	 * @see #getVisualizable()
	 * @generated
	 */
	EAttribute getVisualizable_LargeIcon();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.Configurable <em>Configurable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Configurable</em>'.
	 * @see de.strutsbox.strutsconfig.Configurable
	 * @generated
	 */
	EClass getConfigurable();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.Configurable#getSetProperty <em>Set Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Set Property</em>'.
	 * @see de.strutsbox.strutsconfig.Configurable#getSetProperty()
	 * @see #getConfigurable()
	 * @generated
	 */
	EReference getConfigurable_SetProperty();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.SetPropertyType <em>Set Property Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set Property Type</em>'.
	 * @see de.strutsbox.strutsconfig.SetPropertyType
	 * @generated
	 */
	EClass getSetPropertyType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.SetPropertyType#getProperty <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Property</em>'.
	 * @see de.strutsbox.strutsconfig.SetPropertyType#getProperty()
	 * @see #getSetPropertyType()
	 * @generated
	 */
	EAttribute getSetPropertyType_Property();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.SetPropertyType#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see de.strutsbox.strutsconfig.SetPropertyType#getValue()
	 * @see #getSetPropertyType()
	 * @generated
	 */
	EAttribute getSetPropertyType_Value();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.StrutsConfigType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType
	 * @generated
	 */
	EClass getStrutsConfigType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.StrutsConfigType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getId()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EAttribute getStrutsConfigType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.StrutsConfigType#getVersion <em>Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Version</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getVersion()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EAttribute getStrutsConfigType_Version();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.StrutsConfigType#getDisplayName <em>Display Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Display Name</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getDisplayName()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EAttribute getStrutsConfigType_DisplayName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.StrutsConfigType#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getDescription()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EAttribute getStrutsConfigType_Description();

	/**
	 * Returns the meta object for the containment reference '{@link de.strutsbox.strutsconfig.StrutsConfigType#getDataSources <em>Data Sources</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Sources</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getDataSources()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EReference getStrutsConfigType_DataSources();

	/**
	 * Returns the meta object for the containment reference '{@link de.strutsbox.strutsconfig.StrutsConfigType#getFormBeans <em>Form Beans</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Form Beans</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getFormBeans()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EReference getStrutsConfigType_FormBeans();

	/**
	 * Returns the meta object for the containment reference '{@link de.strutsbox.strutsconfig.StrutsConfigType#getGlobalExceptions <em>Global Exceptions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Global Exceptions</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getGlobalExceptions()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EReference getStrutsConfigType_GlobalExceptions();

	/**
	 * Returns the meta object for the containment reference '{@link de.strutsbox.strutsconfig.StrutsConfigType#getGlobalForwards <em>Global Forwards</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Global Forwards</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getGlobalForwards()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EReference getStrutsConfigType_GlobalForwards();

	/**
	 * Returns the meta object for the containment reference '{@link de.strutsbox.strutsconfig.StrutsConfigType#getActionMappings <em>Action Mappings</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Action Mappings</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getActionMappings()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EReference getStrutsConfigType_ActionMappings();

	/**
	 * Returns the meta object for the containment reference '{@link de.strutsbox.strutsconfig.StrutsConfigType#getController <em>Controller</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Controller</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getController()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EReference getStrutsConfigType_Controller();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.StrutsConfigType#getMessageResources <em>Message Resources</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Message Resources</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getMessageResources()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EReference getStrutsConfigType_MessageResources();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.StrutsConfigType#getPlugIn <em>Plug In</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Plug In</em>'.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType#getPlugIn()
	 * @see #getStrutsConfigType()
	 * @generated
	 */
	EReference getStrutsConfigType_PlugIn();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.DataSourcesType <em>Data Sources Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Sources Type</em>'.
	 * @see de.strutsbox.strutsconfig.DataSourcesType
	 * @generated
	 */
	EClass getDataSourcesType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.DataSourcesType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.DataSourcesType#getId()
	 * @see #getDataSourcesType()
	 * @generated
	 */
	EAttribute getDataSourcesType_Id();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.DataSourcesType#getDataSource <em>Data Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Data Source</em>'.
	 * @see de.strutsbox.strutsconfig.DataSourcesType#getDataSource()
	 * @see #getDataSourcesType()
	 * @generated
	 */
	EReference getDataSourcesType_DataSource();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.DataSourceType <em>Data Source Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Source Type</em>'.
	 * @see de.strutsbox.strutsconfig.DataSourceType
	 * @generated
	 */
	EClass getDataSourceType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.DataSourceType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.DataSourceType#getId()
	 * @see #getDataSourceType()
	 * @generated
	 */
	EAttribute getDataSourceType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.DataSourceType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.DataSourceType#getClassName()
	 * @see #getDataSourceType()
	 * @generated
	 */
	EAttribute getDataSourceType_ClassName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.DataSourceType#getKey <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Key</em>'.
	 * @see de.strutsbox.strutsconfig.DataSourceType#getKey()
	 * @see #getDataSourceType()
	 * @generated
	 */
	EAttribute getDataSourceType_Key();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.DataSourceType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.DataSourceType#getType()
	 * @see #getDataSourceType()
	 * @generated
	 */
	EAttribute getDataSourceType_Type();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.FormBeansType <em>Form Beans Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Form Beans Type</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeansType
	 * @generated
	 */
	EClass getFormBeansType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormBeansType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeansType#getId()
	 * @see #getFormBeansType()
	 * @generated
	 */
	EAttribute getFormBeansType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormBeansType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeansType#getType()
	 * @see #getFormBeansType()
	 * @generated
	 */
	EAttribute getFormBeansType_Type();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.FormBeansType#getFormBean <em>Form Bean</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Form Bean</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeansType#getFormBean()
	 * @see #getFormBeansType()
	 * @generated
	 */
	EReference getFormBeansType_FormBean();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.FormBeanType <em>Form Bean Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Form Bean Type</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeanType
	 * @generated
	 */
	EClass getFormBeanType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormBeanType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeanType#getId()
	 * @see #getFormBeanType()
	 * @generated
	 */
	EAttribute getFormBeanType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormBeanType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeanType#getClassName()
	 * @see #getFormBeanType()
	 * @generated
	 */
	EAttribute getFormBeanType_ClassName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormBeanType#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeanType#getName()
	 * @see #getFormBeanType()
	 * @generated
	 */
	EAttribute getFormBeanType_Name();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormBeanType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeanType#getType()
	 * @see #getFormBeanType()
	 * @generated
	 */
	EAttribute getFormBeanType_Type();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormBeanType#isDynamic <em>Dynamic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dynamic</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeanType#isDynamic()
	 * @see #getFormBeanType()
	 * @generated
	 */
	EAttribute getFormBeanType_Dynamic();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.FormBeanType#getFormProperty <em>Form Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Form Property</em>'.
	 * @see de.strutsbox.strutsconfig.FormBeanType#getFormProperty()
	 * @see #getFormBeanType()
	 * @generated
	 */
	EReference getFormBeanType_FormProperty();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.FormPropertyType <em>Form Property Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Form Property Type</em>'.
	 * @see de.strutsbox.strutsconfig.FormPropertyType
	 * @generated
	 */
	EClass getFormPropertyType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormPropertyType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.FormPropertyType#getClassName()
	 * @see #getFormPropertyType()
	 * @generated
	 */
	EAttribute getFormPropertyType_ClassName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormPropertyType#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.strutsbox.strutsconfig.FormPropertyType#getName()
	 * @see #getFormPropertyType()
	 * @generated
	 */
	EAttribute getFormPropertyType_Name();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormPropertyType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.FormPropertyType#getType()
	 * @see #getFormPropertyType()
	 * @generated
	 */
	EAttribute getFormPropertyType_Type();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormPropertyType#getInitial <em>Initial</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Initial</em>'.
	 * @see de.strutsbox.strutsconfig.FormPropertyType#getInitial()
	 * @see #getFormPropertyType()
	 * @generated
	 */
	EAttribute getFormPropertyType_Initial();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.FormPropertyType#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Size</em>'.
	 * @see de.strutsbox.strutsconfig.FormPropertyType#getSize()
	 * @see #getFormPropertyType()
	 * @generated
	 */
	EAttribute getFormPropertyType_Size();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.GlobalExceptionsType <em>Global Exceptions Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Global Exceptions Type</em>'.
	 * @see de.strutsbox.strutsconfig.GlobalExceptionsType
	 * @generated
	 */
	EClass getGlobalExceptionsType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.GlobalExceptionsType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.GlobalExceptionsType#getId()
	 * @see #getGlobalExceptionsType()
	 * @generated
	 */
	EAttribute getGlobalExceptionsType_Id();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.GlobalExceptionsType#getException <em>Exception</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Exception</em>'.
	 * @see de.strutsbox.strutsconfig.GlobalExceptionsType#getException()
	 * @see #getGlobalExceptionsType()
	 * @generated
	 */
	EReference getGlobalExceptionsType_Exception();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.ExceptionType <em>Exception Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Exception Type</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType
	 * @generated
	 */
	EClass getExceptionType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ExceptionType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType#getId()
	 * @see #getExceptionType()
	 * @generated
	 */
	EAttribute getExceptionType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ExceptionType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType#getClassName()
	 * @see #getExceptionType()
	 * @generated
	 */
	EAttribute getExceptionType_ClassName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ExceptionType#getKey <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Key</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType#getKey()
	 * @see #getExceptionType()
	 * @generated
	 */
	EAttribute getExceptionType_Key();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ExceptionType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType#getType()
	 * @see #getExceptionType()
	 * @generated
	 */
	EAttribute getExceptionType_Type();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ExceptionType#getHandler <em>Handler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Handler</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType#getHandler()
	 * @see #getExceptionType()
	 * @generated
	 */
	EAttribute getExceptionType_Handler();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ExceptionType#getPath <em>Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Path</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType#getPath()
	 * @see #getExceptionType()
	 * @generated
	 */
	EAttribute getExceptionType_Path();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ExceptionType#getScope <em>Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Scope</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType#getScope()
	 * @see #getExceptionType()
	 * @generated
	 */
	EAttribute getExceptionType_Scope();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ExceptionType#getBundle <em>Bundle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Bundle</em>'.
	 * @see de.strutsbox.strutsconfig.ExceptionType#getBundle()
	 * @see #getExceptionType()
	 * @generated
	 */
	EAttribute getExceptionType_Bundle();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.GlobalForwardsType <em>Global Forwards Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Global Forwards Type</em>'.
	 * @see de.strutsbox.strutsconfig.GlobalForwardsType
	 * @generated
	 */
	EClass getGlobalForwardsType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.GlobalForwardsType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.GlobalForwardsType#getId()
	 * @see #getGlobalForwardsType()
	 * @generated
	 */
	EAttribute getGlobalForwardsType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.GlobalForwardsType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.GlobalForwardsType#getType()
	 * @see #getGlobalForwardsType()
	 * @generated
	 */
	EAttribute getGlobalForwardsType_Type();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.GlobalForwardsType#getForward <em>Forward</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Forward</em>'.
	 * @see de.strutsbox.strutsconfig.GlobalForwardsType#getForward()
	 * @see #getGlobalForwardsType()
	 * @generated
	 */
	EReference getGlobalForwardsType_Forward();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.ForwardType <em>Forward Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Forward Type</em>'.
	 * @see de.strutsbox.strutsconfig.ForwardType
	 * @generated
	 */
	EClass getForwardType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ForwardType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.ForwardType#getId()
	 * @see #getForwardType()
	 * @generated
	 */
	EAttribute getForwardType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ForwardType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.ForwardType#getClassName()
	 * @see #getForwardType()
	 * @generated
	 */
	EAttribute getForwardType_ClassName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ForwardType#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.strutsbox.strutsconfig.ForwardType#getName()
	 * @see #getForwardType()
	 * @generated
	 */
	EAttribute getForwardType_Name();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ForwardType#getPath <em>Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Path</em>'.
	 * @see de.strutsbox.strutsconfig.ForwardType#getPath()
	 * @see #getForwardType()
	 * @generated
	 */
	EAttribute getForwardType_Path();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ForwardType#getModule <em>Module</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Module</em>'.
	 * @see de.strutsbox.strutsconfig.ForwardType#getModule()
	 * @see #getForwardType()
	 * @generated
	 */
	EAttribute getForwardType_Module();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ForwardType#isRedirect <em>Redirect</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Redirect</em>'.
	 * @see de.strutsbox.strutsconfig.ForwardType#isRedirect()
	 * @see #getForwardType()
	 * @generated
	 */
	EAttribute getForwardType_Redirect();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ForwardType#isContextRelative <em>Context Relative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Context Relative</em>'.
	 * @see de.strutsbox.strutsconfig.ForwardType#isContextRelative()
	 * @see #getForwardType()
	 * @generated
	 */
	EAttribute getForwardType_ContextRelative();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.ActionMappingsType <em>Action Mappings Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Action Mappings Type</em>'.
	 * @see de.strutsbox.strutsconfig.ActionMappingsType
	 * @generated
	 */
	EClass getActionMappingsType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionMappingsType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.ActionMappingsType#getId()
	 * @see #getActionMappingsType()
	 * @generated
	 */
	EAttribute getActionMappingsType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionMappingsType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.ActionMappingsType#getType()
	 * @see #getActionMappingsType()
	 * @generated
	 */
	EAttribute getActionMappingsType_Type();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.ActionMappingsType#getAction <em>Action</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Action</em>'.
	 * @see de.strutsbox.strutsconfig.ActionMappingsType#getAction()
	 * @see #getActionMappingsType()
	 * @generated
	 */
	EReference getActionMappingsType_Action();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.ActionType <em>Action Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Action Type</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType
	 * @generated
	 */
	EClass getActionType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getId()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getClassName()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_ClassName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getPath <em>Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Path</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getPath()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Path();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getScope <em>Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Scope</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getScope()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Scope();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getName()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Name();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getType()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Type();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getForward1 <em>Forward1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Forward1</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getForward1()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Forward1();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getInput <em>Input</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Input</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getInput()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Input();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getAttribute <em>Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Attribute</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getAttribute()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Attribute();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getInclude <em>Include</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Include</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getInclude()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Include();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getParameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Parameter</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getParameter()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Parameter();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getPrefix <em>Prefix</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Prefix</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getPrefix()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Prefix();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getSuffix <em>Suffix</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Suffix</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getSuffix()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Suffix();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#getRoles <em>Roles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Roles</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getRoles()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Roles();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#isUnknown <em>Unknown</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unknown</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#isUnknown()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Unknown();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ActionType#isValidate <em>Validate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Validate</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#isValidate()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Validate();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.ActionType#getException <em>Exception</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Exception</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getException()
	 * @see #getActionType()
	 * @generated
	 */
	EReference getActionType_Exception();

	/**
	 * Returns the meta object for the containment reference list '{@link de.strutsbox.strutsconfig.ActionType#getForward <em>Forward</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Forward</em>'.
	 * @see de.strutsbox.strutsconfig.ActionType#getForward()
	 * @see #getActionType()
	 * @generated
	 */
	EReference getActionType_Forward();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.ControllerType <em>Controller Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Controller Type</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType
	 * @generated
	 */
	EClass getControllerType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getId()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getClassName()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_ClassName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getBufferSize <em>Buffer Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Buffer Size</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getBufferSize()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_BufferSize();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getContentType <em>Content Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Content Type</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getContentType()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_ContentType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getForwardPattern <em>Forward Pattern</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Forward Pattern</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getForwardPattern()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_ForwardPattern();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#isInputForward <em>Input Forward</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Input Forward</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#isInputForward()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_InputForward();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#isLocale <em>Locale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Locale</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#isLocale()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_Locale();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getMaxFileSize <em>Max File Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max File Size</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getMaxFileSize()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_MaxFileSize();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getMemFileSize <em>Mem File Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mem File Size</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getMemFileSize()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_MemFileSize();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getMultipartClass <em>Multipart Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Multipart Class</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getMultipartClass()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_MultipartClass();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#isNocache <em>Nocache</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Nocache</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#isNocache()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_Nocache();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getPagePattern <em>Page Pattern</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Page Pattern</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getPagePattern()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_PagePattern();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getProcessorClass <em>Processor Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Processor Class</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getProcessorClass()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_ProcessorClass();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.ControllerType#getTempDir <em>Temp Dir</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Temp Dir</em>'.
	 * @see de.strutsbox.strutsconfig.ControllerType#getTempDir()
	 * @see #getControllerType()
	 * @generated
	 */
	EAttribute getControllerType_TempDir();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.MessageResourcesType <em>Message Resources Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Message Resources Type</em>'.
	 * @see de.strutsbox.strutsconfig.MessageResourcesType
	 * @generated
	 */
	EClass getMessageResourcesType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.MessageResourcesType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.MessageResourcesType#getId()
	 * @see #getMessageResourcesType()
	 * @generated
	 */
	EAttribute getMessageResourcesType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.MessageResourcesType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.MessageResourcesType#getClassName()
	 * @see #getMessageResourcesType()
	 * @generated
	 */
	EAttribute getMessageResourcesType_ClassName();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.MessageResourcesType#getParameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Parameter</em>'.
	 * @see de.strutsbox.strutsconfig.MessageResourcesType#getParameter()
	 * @see #getMessageResourcesType()
	 * @generated
	 */
	EAttribute getMessageResourcesType_Parameter();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.MessageResourcesType#getFactory <em>Factory</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Factory</em>'.
	 * @see de.strutsbox.strutsconfig.MessageResourcesType#getFactory()
	 * @see #getMessageResourcesType()
	 * @generated
	 */
	EAttribute getMessageResourcesType_Factory();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.MessageResourcesType#getKey <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Key</em>'.
	 * @see de.strutsbox.strutsconfig.MessageResourcesType#getKey()
	 * @see #getMessageResourcesType()
	 * @generated
	 */
	EAttribute getMessageResourcesType_Key();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.MessageResourcesType#isNull <em>Null</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Null</em>'.
	 * @see de.strutsbox.strutsconfig.MessageResourcesType#isNull()
	 * @see #getMessageResourcesType()
	 * @generated
	 */
	EAttribute getMessageResourcesType_Null();

	/**
	 * Returns the meta object for class '{@link de.strutsbox.strutsconfig.PlugInType <em>Plug In Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Plug In Type</em>'.
	 * @see de.strutsbox.strutsconfig.PlugInType
	 * @generated
	 */
	EClass getPlugInType();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.PlugInType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see de.strutsbox.strutsconfig.PlugInType#getId()
	 * @see #getPlugInType()
	 * @generated
	 */
	EAttribute getPlugInType_Id();

	/**
	 * Returns the meta object for the attribute '{@link de.strutsbox.strutsconfig.PlugInType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see de.strutsbox.strutsconfig.PlugInType#getClassName()
	 * @see #getPlugInType()
	 * @generated
	 */
	EAttribute getPlugInType_ClassName();

	/**
	 * Returns the meta object for enum '{@link de.strutsbox.strutsconfig.RequestScope <em>Request Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Request Scope</em>'.
	 * @see de.strutsbox.strutsconfig.RequestScope
	 * @generated
	 */
	EEnum getRequestScope();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	StrutsConfigFactory getStrutsConfigFactory();

} //StrutsConfigPackage
