/**
 * <copyright>
 * </copyright>
 *
 * $Id: ActionTypeItemProvider.java,v 1.3 2005/07/21 15:22:59 daniel_rohe Exp $
 */
package de.strutsbox.strutsconfig.provider;


import de.strutsbox.strutsconfig.ActionType;
import de.strutsbox.strutsconfig.StrutsConfigFactory;
import de.strutsbox.strutsconfig.StrutsConfigPackage;

import java.util.Collection;
import java.util.List;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.ResourceLocator;

import org.eclipse.emf.ecore.EStructuralFeature;

import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;
import org.eclipse.emf.edit.provider.ItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.ViewerNotification;

/**
 * This is the item provider adapter for a {@link de.strutsbox.strutsconfig.ActionType} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class ActionTypeItemProvider
	extends ConfigurableItemProvider
	implements	
		IEditingDomainItemProvider,	
		IStructuredItemContentProvider,	
		ITreeItemContentProvider,	
		IItemLabelProvider,	
		IItemPropertySource {
	/**
	 * This constructs an instance from a factory and a notifier.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ActionTypeItemProvider(AdapterFactory adapterFactory) {
		super(adapterFactory);
	}

	/**
	 * This returns the property descriptors for the adapted class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List getPropertyDescriptors(Object object) {
		if (itemPropertyDescriptors == null) {
			super.getPropertyDescriptors(object);

			addDisplayNamePropertyDescriptor(object);
			addDescriptionPropertyDescriptor(object);
			addSmallIconPropertyDescriptor(object);
			addLargeIconPropertyDescriptor(object);
			addIdPropertyDescriptor(object);
			addClassNamePropertyDescriptor(object);
			addPathPropertyDescriptor(object);
			addScopePropertyDescriptor(object);
			addNamePropertyDescriptor(object);
			addTypePropertyDescriptor(object);
			addForward1PropertyDescriptor(object);
			addInputPropertyDescriptor(object);
			addAttributePropertyDescriptor(object);
			addIncludePropertyDescriptor(object);
			addParameterPropertyDescriptor(object);
			addPrefixPropertyDescriptor(object);
			addSuffixPropertyDescriptor(object);
			addRolesPropertyDescriptor(object);
			addUnknownPropertyDescriptor(object);
			addValidatePropertyDescriptor(object);
		}
		return itemPropertyDescriptors;
	}

	/**
	 * This adds a property descriptor for the Display Name feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addDisplayNamePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_Visualizable_displayName_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_Visualizable_displayName_feature", "_UI_Visualizable_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getVisualizable_DisplayName(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Description feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addDescriptionPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_Visualizable_description_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_Visualizable_description_feature", "_UI_Visualizable_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getVisualizable_Description(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Small Icon feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addSmallIconPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_Visualizable_smallIcon_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_Visualizable_smallIcon_feature", "_UI_Visualizable_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getVisualizable_SmallIcon(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Large Icon feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addLargeIconPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_Visualizable_largeIcon_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_Visualizable_largeIcon_feature", "_UI_Visualizable_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getVisualizable_LargeIcon(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Id feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addIdPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_id_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_id_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Id(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Class Name feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addClassNamePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_className_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_className_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_ClassName(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Path feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addPathPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_path_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_path_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Path(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Scope feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addScopePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_scope_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_scope_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Scope(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Name feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addNamePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_name_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_name_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Name(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Type feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addTypePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_type_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_type_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Type(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Forward1 feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addForward1PropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_forward1_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_forward1_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Forward1(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Input feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addInputPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_input_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_input_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Input(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Attribute feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addAttributePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_attribute_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_attribute_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Attribute(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Include feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addIncludePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_include_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_include_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Include(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Parameter feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addParameterPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_parameter_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_parameter_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Parameter(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Prefix feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addPrefixPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_prefix_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_prefix_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Prefix(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Suffix feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addSuffixPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_suffix_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_suffix_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Suffix(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Roles feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addRolesPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_roles_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_roles_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Roles(),
				 true,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Unknown feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addUnknownPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_unknown_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_unknown_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Unknown(),
				 true,
				 ItemPropertyDescriptor.BOOLEAN_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Validate feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addValidatePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_ActionType_validate_feature"), //$NON-NLS-1$
				 getString("_UI_PropertyDescriptor_description", "_UI_ActionType_validate_feature", "_UI_ActionType_type"), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
				 StrutsConfigPackage.eINSTANCE.getActionType_Validate(),
				 true,
				 ItemPropertyDescriptor.BOOLEAN_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This specifies how to implement {@link #getChildren} and is used to deduce an appropriate feature for an
	 * {@link org.eclipse.emf.edit.command.AddCommand}, {@link org.eclipse.emf.edit.command.RemoveCommand} or
	 * {@link org.eclipse.emf.edit.command.MoveCommand} in {@link #createCommand}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Collection getChildrenFeatures(Object object) {
		if (childrenFeatures == null) {
			super.getChildrenFeatures(object);
			childrenFeatures.add(StrutsConfigPackage.eINSTANCE.getActionType_Exception());
			childrenFeatures.add(StrutsConfigPackage.eINSTANCE.getActionType_Forward());
		}
		return childrenFeatures;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EStructuralFeature getChildFeature(Object object, Object child) {
		// Check the type of the specified child object and return the proper feature to use for
		// adding (see {@link AddCommand}) it as a child.

		return super.getChildFeature(object, child);
	}

	/**
	 * This returns ActionType.gif.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object getImage(Object object) {
		return getResourceLocator().getImage("full/obj16/ActionType"); //$NON-NLS-1$
	}

	/**
	 * This returns the label text for the adapted class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getText(Object object) {
		String label = ((ActionType)object).getPath();
		return label == null || label.length() == 0 ?
			getString("_UI_ActionType_type") : //$NON-NLS-1$
			getString("_UI_ActionType_type") + " " + label; //$NON-NLS-1$ //$NON-NLS-2$
	}

	/**
	 * This handles model notifications by calling {@link #updateChildren} to update any cached
	 * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void notifyChanged(Notification notification) {
		updateChildren(notification);

		switch (notification.getFeatureID(ActionType.class)) {
			case StrutsConfigPackage.ACTION_TYPE__DISPLAY_NAME:
			case StrutsConfigPackage.ACTION_TYPE__DESCRIPTION:
			case StrutsConfigPackage.ACTION_TYPE__SMALL_ICON:
			case StrutsConfigPackage.ACTION_TYPE__LARGE_ICON:
			case StrutsConfigPackage.ACTION_TYPE__ID:
			case StrutsConfigPackage.ACTION_TYPE__CLASS_NAME:
			case StrutsConfigPackage.ACTION_TYPE__PATH:
			case StrutsConfigPackage.ACTION_TYPE__SCOPE:
			case StrutsConfigPackage.ACTION_TYPE__NAME:
			case StrutsConfigPackage.ACTION_TYPE__TYPE:
			case StrutsConfigPackage.ACTION_TYPE__FORWARD1:
			case StrutsConfigPackage.ACTION_TYPE__INPUT:
			case StrutsConfigPackage.ACTION_TYPE__ATTRIBUTE:
			case StrutsConfigPackage.ACTION_TYPE__INCLUDE:
			case StrutsConfigPackage.ACTION_TYPE__PARAMETER:
			case StrutsConfigPackage.ACTION_TYPE__PREFIX:
			case StrutsConfigPackage.ACTION_TYPE__SUFFIX:
			case StrutsConfigPackage.ACTION_TYPE__ROLES:
			case StrutsConfigPackage.ACTION_TYPE__UNKNOWN:
			case StrutsConfigPackage.ACTION_TYPE__VALIDATE:
				fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), false, true));
				return;
			case StrutsConfigPackage.ACTION_TYPE__EXCEPTION:
			case StrutsConfigPackage.ACTION_TYPE__FORWARD:
				fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), true, false));
				return;
		}
		super.notifyChanged(notification);
	}

	/**
	 * This adds to the collection of {@link org.eclipse.emf.edit.command.CommandParameter}s
	 * describing all of the children that can be created under this object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void collectNewChildDescriptors(Collection newChildDescriptors, Object object) {
		super.collectNewChildDescriptors(newChildDescriptors, object);

		newChildDescriptors.add
			(createChildParameter
				(StrutsConfigPackage.eINSTANCE.getActionType_Exception(),
				 StrutsConfigFactory.eINSTANCE.createExceptionType()));

		newChildDescriptors.add
			(createChildParameter
				(StrutsConfigPackage.eINSTANCE.getActionType_Forward(),
				 StrutsConfigFactory.eINSTANCE.createForwardType()));
	}

	/**
	 * Return the resource locator for this item provider's resources.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ResourceLocator getResourceLocator() {
		return StrutsConfigEditPlugin.INSTANCE;
	}

}
