/**
 * <copyright>
 * </copyright>
 *
 * $Id: StrutsConfigItemProviderAdapterFactory.java,v 1.4 2005/07/24 11:28:06 daniel_rohe Exp $
 */
package de.strutsbox.strutsconfig.provider;

import de.strutsbox.strutsconfig.util.StrutsConfigAdapterFactory;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.ITableItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class StrutsConfigItemProviderAdapterFactory extends StrutsConfigAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable {
	/**
	 * This keeps track of the root adapter factory that delegates to this adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ComposedAdapterFactory parentAdapterFactory;

	/**
	 * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected IChangeNotifier changeNotifier = new ChangeNotifier();

	/**
	 * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Collection supportedTypes = new ArrayList();

	/**
	 * This constructs an instance.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated NOT
	 */
	public StrutsConfigItemProviderAdapterFactory() {
		supportedTypes.add(IEditingDomainItemProvider.class);
		supportedTypes.add(IStructuredItemContentProvider.class);
		supportedTypes.add(ITreeItemContentProvider.class);
		supportedTypes.add(IItemLabelProvider.class);
		supportedTypes.add(ITableItemLabelProvider.class);
		supportedTypes.add(IItemPropertySource.class);		
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.SetPropertyType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SetPropertyTypeItemProvider setPropertyTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.SetPropertyType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createSetPropertyTypeAdapter() {
		if (setPropertyTypeItemProvider == null) {
			setPropertyTypeItemProvider = new SetPropertyTypeItemProvider(this);
		}

		return setPropertyTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.StrutsConfigType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected StrutsConfigTypeItemProvider strutsConfigTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.StrutsConfigType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createStrutsConfigTypeAdapter() {
		if (strutsConfigTypeItemProvider == null) {
			strutsConfigTypeItemProvider = new StrutsConfigTypeItemProvider(this);
		}

		return strutsConfigTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.DataSourcesType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DataSourcesTypeItemProvider dataSourcesTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.DataSourcesType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createDataSourcesTypeAdapter() {
		if (dataSourcesTypeItemProvider == null) {
			dataSourcesTypeItemProvider = new DataSourcesTypeItemProvider(this);
		}

		return dataSourcesTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.DataSourceType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DataSourceTypeItemProvider dataSourceTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.DataSourceType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createDataSourceTypeAdapter() {
		if (dataSourceTypeItemProvider == null) {
			dataSourceTypeItemProvider = new DataSourceTypeItemProvider(this);
		}

		return dataSourceTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.FormBeansType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FormBeansTypeItemProvider formBeansTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.FormBeansType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createFormBeansTypeAdapter() {
		if (formBeansTypeItemProvider == null) {
			formBeansTypeItemProvider = new FormBeansTypeItemProvider(this);
		}

		return formBeansTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.FormBeanType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FormBeanTypeItemProvider formBeanTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.FormBeanType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createFormBeanTypeAdapter() {
		if (formBeanTypeItemProvider == null) {
			formBeanTypeItemProvider = new FormBeanTypeItemProvider(this);
		}

		return formBeanTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.FormPropertyType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FormPropertyTypeItemProvider formPropertyTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.FormPropertyType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createFormPropertyTypeAdapter() {
		if (formPropertyTypeItemProvider == null) {
			formPropertyTypeItemProvider = new FormPropertyTypeItemProvider(this);
		}

		return formPropertyTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.GlobalExceptionsType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected GlobalExceptionsTypeItemProvider globalExceptionsTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.GlobalExceptionsType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createGlobalExceptionsTypeAdapter() {
		if (globalExceptionsTypeItemProvider == null) {
			globalExceptionsTypeItemProvider = new GlobalExceptionsTypeItemProvider(this);
		}

		return globalExceptionsTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.ExceptionType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ExceptionTypeItemProvider exceptionTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.ExceptionType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createExceptionTypeAdapter() {
		if (exceptionTypeItemProvider == null) {
			exceptionTypeItemProvider = new ExceptionTypeItemProvider(this);
		}

		return exceptionTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.GlobalForwardsType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected GlobalForwardsTypeItemProvider globalForwardsTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.GlobalForwardsType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createGlobalForwardsTypeAdapter() {
		if (globalForwardsTypeItemProvider == null) {
			globalForwardsTypeItemProvider = new GlobalForwardsTypeItemProvider(this);
		}

		return globalForwardsTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.ForwardType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ForwardTypeItemProvider forwardTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.ForwardType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createForwardTypeAdapter() {
		if (forwardTypeItemProvider == null) {
			forwardTypeItemProvider = new ForwardTypeItemProvider(this);
		}

		return forwardTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.ActionMappingsType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ActionMappingsTypeItemProvider actionMappingsTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.ActionMappingsType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createActionMappingsTypeAdapter() {
		if (actionMappingsTypeItemProvider == null) {
			actionMappingsTypeItemProvider = new ActionMappingsTypeItemProvider(this);
		}

		return actionMappingsTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.ActionType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ActionTypeItemProvider actionTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.ActionType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createActionTypeAdapter() {
		if (actionTypeItemProvider == null) {
			actionTypeItemProvider = new ActionTypeItemProvider(this);
		}

		return actionTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.ControllerType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ControllerTypeItemProvider controllerTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.ControllerType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createControllerTypeAdapter() {
		if (controllerTypeItemProvider == null) {
			controllerTypeItemProvider = new ControllerTypeItemProvider(this);
		}

		return controllerTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.MessageResourcesType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MessageResourcesTypeItemProvider messageResourcesTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.MessageResourcesType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createMessageResourcesTypeAdapter() {
		if (messageResourcesTypeItemProvider == null) {
			messageResourcesTypeItemProvider = new MessageResourcesTypeItemProvider(this);
		}

		return messageResourcesTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link de.strutsbox.strutsconfig.PlugInType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PlugInTypeItemProvider plugInTypeItemProvider;

	/**
	 * This creates an adapter for a {@link de.strutsbox.strutsconfig.PlugInType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter createPlugInTypeAdapter() {
		if (plugInTypeItemProvider == null) {
			plugInTypeItemProvider = new PlugInTypeItemProvider(this);
		}

		return plugInTypeItemProvider;
	}

	/**
	 * This returns the root adapter factory that contains this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComposeableAdapterFactory getRootAdapterFactory() {
		return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
	}

	/**
	 * This sets the composed adapter factory that contains this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory) {
		this.parentAdapterFactory = parentAdapterFactory;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isFactoryForType(Object type) {
		return supportedTypes.contains(type) || super.isFactoryForType(type);
	}

	/**
	 * This implementation substitutes the factory itself as the key for the adapter.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Adapter adapt(Notifier notifier, Object type) {
		return super.adapt(notifier, this);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object adapt(Object object, Object type) {
		if (isFactoryForType(type)) {
			Object adapter = super.adapt(object, type);
			if (!(type instanceof Class) || (((Class)type).isInstance(adapter))) {
				return adapter;
			}
		}

		return null;
	}

	/**
	 * This adds a listener.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void addListener(INotifyChangedListener notifyChangedListener) {
		changeNotifier.addListener(notifyChangedListener);
	}

	/**
	 * This removes a listener.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void removeListener(INotifyChangedListener notifyChangedListener) {
		changeNotifier.removeListener(notifyChangedListener);
	}

	/**
	 * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void fireNotifyChanged(Notification notification) {
		changeNotifier.fireNotifyChanged(notification);

		if (parentAdapterFactory != null) {
			parentAdapterFactory.fireNotifyChanged(notification);
		}
	}

	/**
	 * This disposes all of the item providers created by this factory. 
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void dispose() {
		if (setPropertyTypeItemProvider != null) setPropertyTypeItemProvider.dispose();
		if (strutsConfigTypeItemProvider != null) strutsConfigTypeItemProvider.dispose();
		if (dataSourcesTypeItemProvider != null) dataSourcesTypeItemProvider.dispose();
		if (dataSourceTypeItemProvider != null) dataSourceTypeItemProvider.dispose();
		if (formBeansTypeItemProvider != null) formBeansTypeItemProvider.dispose();
		if (formBeanTypeItemProvider != null) formBeanTypeItemProvider.dispose();
		if (formPropertyTypeItemProvider != null) formPropertyTypeItemProvider.dispose();
		if (globalExceptionsTypeItemProvider != null) globalExceptionsTypeItemProvider.dispose();
		if (exceptionTypeItemProvider != null) exceptionTypeItemProvider.dispose();
		if (globalForwardsTypeItemProvider != null) globalForwardsTypeItemProvider.dispose();
		if (forwardTypeItemProvider != null) forwardTypeItemProvider.dispose();
		if (actionMappingsTypeItemProvider != null) actionMappingsTypeItemProvider.dispose();
		if (actionTypeItemProvider != null) actionTypeItemProvider.dispose();
		if (controllerTypeItemProvider != null) controllerTypeItemProvider.dispose();
		if (messageResourcesTypeItemProvider != null) messageResourcesTypeItemProvider.dispose();
		if (plugInTypeItemProvider != null) plugInTypeItemProvider.dispose();
	}

}
