/*****************************************************************************
 * Copyright (c) 2005 StrutsBox.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    StrutsBox - initial API and implementation
 *****************************************************************************/
/*
 * $Id: StrutsConfigConstants.java,v 1.2 2005/07/21 15:21:01 daniel_rohe Exp $
 */
package de.strutsbox.strutsconfig.translators;

/**
 * The class <code>StrutsConfigConstants</code> provides constants used for
 * identifying Apache Struts configuration files.
 * 
 * @author Daniel
 */
public class StrutsConfigConstants {

	/**
	 * identifier indicating Apache Struts configuration version 1.0
	 */
	public static final int VERSION_1_0_ID = 10;

	/**
	 * identifier indicating Apache Struts configuration version 1.1
	 */
	public static final int VERSION_1_1_ID = 11;

	/**
	 * identifier indicating Apache Struts configuration version 1.2
	 */
	public static final int VERSION_1_2_ID = 12;

	/**
	 * string representation of Apache Struts configuration version 1.0
	 */
	public static final String VERSION_1_0_TEXT = "1.0"; //$NON-NLS-1$

	/**
	 * string representation of Apache Struts configuration version 1.1
	 */
	public static final String VERSION_1_1_TEXT = "1.1"; //$NON-NLS-1$

	/**
	 * string representation of Apache Struts configuration version 1.2
	 */
	public static final String VERSION_1_2_TEXT = "1.2"; //$NON-NLS-1$

	/**
	 * public identifier of Apache Struts configuration version 1.0
	 */
	public static final String STRUTS_CONFIG_PUBLIC_ID_1_0 = "-//Apache Software Foundation//DTD Struts Configuration 1.0//EN"; //$NON-NLS-1$

	/**
	 * system identifier of Apache Struts configuration version 1.0
	 */
	public static final String STRUTS_CONFIG_SYSTEM_ID_1_0 = "http://jakarta.apache.org/struts/dtds/struts-config_1_0.dtd"; //$NON-NLS-1$

	/**
	 * public identifier of Apache Struts configuration version 1.1
	 */
	public static final String STRUTS_CONFIG_PUBLIC_ID_1_1 = "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"; //$NON-NLS-1$

	/**
	 * system identifier of Apache Struts configuration version 1.1
	 */
	public static final String STRUTS_CONFIG_SYSTEM_ID_1_1 = "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd"; //$NON-NLS-1$

	/**
	 * public identifier of Apache Struts configuration version 1.2
	 */
	public static final String STRUTS_CONFIG_PUBLIC_ID_1_2 = "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN"; //$NON-NLS-1$

	/**
	 * system identifier of Apache Struts configuration version 1.2
	 */
	public static final String STRUTS_CONFIG_SYSTEM_ID_1_2 = "http://struts.apache.org/dtds/struts-config_1_2.dtd"; //$NON-NLS-1$

	/**
	 * Creates a new <code>StrutsConfigConstants</code>.
	 */
	private StrutsConfigConstants() {
		// do nothing
	}

}
