/*****************************************************************************
 * Copyright (c) 2005 StrutsBox.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    StrutsBox - initial API and implementation
 *****************************************************************************/
/*
 * $Id: StrutsConfigEntityResolver.java,v 1.3 2005/07/21 15:21:01 daniel_rohe Exp $
 */
package de.strutsbox.strutsconfig.translators;

import java.io.IOException;
import java.net.URL;

import org.eclipse.core.runtime.Path;
import org.eclipse.core.runtime.Platform;
import org.xml.sax.EntityResolver;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

import de.strutsbox.strutsconfig.StrutsConfigPlugin;

/**
 * The class <code>StrutsConfigEntityResolver</code> provides an entity
 * resolver that tries to load the Document Type Definitions of the Apache
 * Struts configuration files from the plugin directory.
 * 
 * @author Daniel
 */
public class StrutsConfigEntityResolver implements EntityResolver {

	/*
	 * @see org.xml.sax.EntityResolver#resolveEntity(java.lang.String,
	 *      java.lang.String)
	 */
	public InputSource resolveEntity(String publicId, String systemId)
			throws SAXException, IOException {
		if (StrutsConfigConstants.STRUTS_CONFIG_PUBLIC_ID_1_0.equals(publicId)) {
			URL url = Platform.find(StrutsConfigPlugin.getPlugin().getBundle(),
					new Path("schemas/struts-config_1_0.dtd")); //$NON-NLS-1$
			return new InputSource(url.openStream());
		}
		if (StrutsConfigConstants.STRUTS_CONFIG_PUBLIC_ID_1_1.equals(publicId)) {
			URL url = Platform.find(StrutsConfigPlugin.getPlugin().getBundle(),
					new Path("schemas/struts-config_1_1.dtd")); //$NON-NLS-1$
			return new InputSource(url.openStream());
		}
		if (StrutsConfigConstants.STRUTS_CONFIG_PUBLIC_ID_1_2.equals(publicId)) {
			URL url = Platform.find(StrutsConfigPlugin.getPlugin().getBundle(),
					new Path("schemas/struts-config_1_2.dtd")); //$NON-NLS-1$
			return new InputSource(url.openStream());
		}
		return new InputSource(systemId);
	}

}
