/*
 * $Id: StrutsConfigXmlMapping.java,v 1.2 2005/07/21 15:21:00 daniel_rohe Exp $
 */
package de.strutsbox.strutsconfig.translators;

/**
 * The class <code>StrutsConfigXmlMapping</code> provides mapping constants
 * for working with the Apache Struts configuration file.
 * 
 * @author Daniel
 */
public class StrutsConfigXmlMapping {

	/**
	 * name of 'struts-config' XML element
	 */
	public static final String STRUTS_CONFIG = "struts-config"; //$NON-NLS-1$

	/**
	 * name of 'data-sources' XML element
	 */
	public static final String DATA_SOURCES = "data-sources"; //$NON-NLS-1$

	/**
	 * name of 'data-source' XML element
	 */
	public static final String DATA_SOURCE = "data-source"; //$NON-NLS-1$

	/**
	 * name of 'form-beans' XML element
	 */
	public static final String FORM_BEANS = "form-beans"; //$NON-NLS-1$

	/**
	 * name of 'form-bean' XML element
	 */
	public static final String FORM_BEAN = "form-bean"; //$NON-NLS-1$

	/**
	 * name of 'form-property' XML element
	 */
	public static final String FORM_PROPERTY = "form-property"; //$NON-NLS-1$

	/**
	 * name of 'global-exceptions' XML element
	 */
	public static final String GLOBAL_EXCEPTIONS = "global-exceptions"; //$NON-NLS-1$

	/**
	 * name of 'exception' XML element
	 */
	public static final String EXCEPTION = "exception"; //$NON-NLS-1$

	/**
	 * name of 'global-forward' XML element
	 */
	public static final String GLOBAL_FORWARDS = "global-forwards"; //$NON-NLS-1$

	/**
	 * name of 'forward' XML element
	 */
	public static final String FORWARD = "forward"; //$NON-NLS-1$

	/**
	 * name of 'action-mappings' XML element
	 */
	public static final String ACTION_MAPPINGS = "action-mappings"; //$NON-NLS-1$

	/**
	 * name of 'action' XML element
	 */
	public static final String ACTION = "action"; //$NON-NLS-1$

	/**
	 * name of 'controller' XML element
	 */
	public static final String CONTROLLER = "controller"; //$NON-NLS-1$

	/**
	 * name of 'message-resources' XML element
	 */
	public static final String MESSAGE_RESOURCES = "message-resources"; //$NON-NLS-1$

	/**
	 * name of 'plug-in' XML element
	 */
	public static final String PLUG_IN = "plug-in"; //$NON-NLS-1$

	/**
	 * name of 'display-name' XML element
	 */
	public static final String DISPLAY_NAME = "display-name"; //$NON-NLS-1$

	/**
	 * name of 'description' XML element
	 */
	public static final String DESCRIPTION = "description"; //$NON-NLS-1$

	/**
	 * name of 'small-icon' XML element
	 */
	public static final String SMALL_ICON = "icon/small-icon"; //$NON-NLS-1$

	/**
	 * name of 'large-icon' XML element
	 */
	public static final String LARGE_ICON = "icon/large-icon"; //$NON-NLS-1$

	/**
	 * name of 'set-property' XML element
	 */
	public static final String SET_PROPERTY = "set-property"; //$NON-NLS-1$

	/**
	 * name of 'attribute' XML attribute
	 */
	public static final String ATTR_ATTRIBUTE = "attribute"; //$NON-NLS-1$

	/**
	 * name of 'bufferSize' XML attribute
	 */
	public static final String ATTR_BUFFER_SIZE = "bufferSize"; //$NON-NLS-1$

	/**
	 * name of 'bundle' XML attribute
	 */
	public static final String ATTR_BUNDLE = "bundle"; //$NON-NLS-1$

	/**
	 * name of 'className' XML attribute
	 */
	public static final String ATTR_CLASS_NAME = "className"; //$NON-NLS-1$

	/**
	 * name of 'contentType' XML attribute
	 */
	public static final String ATTR_CONTENT_TYPE = "contentType"; //$NON-NLS-1$

	/**
	 * name of 'contextRelative' XML attribute
	 */
	public static final String ATTR_CONTEXT_RELATIVE = "contextRelative"; //$NON-NLS-1$

	/**
	 * name of 'dynamic' XML attribute
	 */
	public static final String ATTR_DYNAMIC = "dynamic"; //$NON-NLS-1$

	/**
	 * name of 'factory' XML attribute
	 */
	public static final String ATTR_FACTORY = "factory"; //$NON-NLS-1$

	/**
	 * name of 'forward' XML attribute
	 */
	public static final String ATTR_FORWARD = "forward"; //$NON-NLS-1$

	/**
	 * name of 'forwardPattern' XML attribute
	 */
	public static final String ATTR_FORWARD_PATTERN = "forwardPattern"; //$NON-NLS-1$

	/**
	 * name of 'handler' XML attribute
	 */
	public static final String ATTR_HANDLER = "handler"; //$NON-NLS-1$

	/**
	 * name of 'include' XML attribute
	 */
	public static final String ATTR_INCLUDE = "include"; //$NON-NLS-1$

	/**
	 * name of 'initial' XML attribute
	 */
	public static final String ATTR_INITIAL = "initial"; //$NON-NLS-1$

	/**
	 * name of 'input' XML attribute
	 */
	public static final String ATTR_INPUT = "input"; //$NON-NLS-1$

	/**
	 * name of 'inputForward' XML attribute
	 */
	public static final String ATTR_INPUT_FORWARD = "inputForward"; //$NON-NLS-1$

	/**
	 * name of 'key' XML attribute
	 */
	public static final String ATTR_KEY = "key"; //$NON-NLS-1$

	/**
	 * name of 'locale' XML attribute
	 */
	public static final String ATTR_LOCALE = "locale"; //$NON-NLS-1$

	/**
	 * name of 'maxFileSize' XML attribute
	 */
	public static final String ATTR_MAX_FILE_SIZE = "maxFileSize"; //$NON-NLS-1$

	/**
	 * name of 'memFileSize' XML attribute
	 */
	public static final String ATTR_MEM_FILE_SIZE = "memFileSize"; //$NON-NLS-1$

	/**
	 * name of 'module' XML attribute
	 */
	public static final String ATTR_MODULE = "module"; //$NON-NLS-1$

	/**
	 * name of 'multipartClass' XML attribute
	 */
	public static final String ATTR_MULTIPART_CLASS = "multipartClass"; //$NON-NLS-1$

	/**
	 * name of 'name' XML attribute
	 */
	public static final String ATTR_NAME = "name"; //$NON-NLS-1$

	/**
	 * name of 'nocache' XML attribute
	 */
	public static final String ATTR_NOCACHE = "nocache"; //$NON-NLS-1$

	/**
	 * name of 'null' XML attribute
	 */
	public static final String ATTR_NULL = "null"; //$NON-NLS-1$

	/**
	 * name of 'pagePattern' XML attribute
	 */
	public static final String ATTR_PAGE_PATTERN = "pagePattern"; //$NON-NLS-1$

	/**
	 * name of 'parameter' XML attribute
	 */
	public static final String ATTR_PARAMETER = "parameter"; //$NON-NLS-1$

	/**
	 * name of 'path' XML attribute
	 */
	public static final String ATTR_PATH = "path"; //$NON-NLS-1$

	/**
	 * name of 'prefix' XML attribute
	 */
	public static final String ATTR_PREFIX = "prefix"; //$NON-NLS-1$

	/**
	 * name of 'processorClass' XML attribute
	 */
	public static final String ATTR_PROCESSOR_CLASS = "processorClass"; //$NON-NLS-1$

	/**
	 * name of 'property' XML attribute
	 */
	public static final String ATTR_PROPERTY = "property"; //$NON-NLS-1$

	/**
	 * name of 'redirect' XML attribute
	 */
	public static final String ATTR_REDIRECT = "redirect"; //$NON-NLS-1$

	/**
	 * name of 'roles' XML attribute
	 */
	public static final String ATTR_ROLES = "roles"; //$NON-NLS-1$

	/**
	 * name of 'scope' XML attribute
	 */
	public static final String ATTR_SCOPE = "scope"; //$NON-NLS-1$

	/**
	 * name of 'size' XML attribute
	 */
	public static final String ATTR_SIZE = "size"; //$NON-NLS-1$

	/**
	 * name of 'suffix' XML attribute
	 */
	public static final String ATTR_SUFFIX = "suffix"; //$NON-NLS-1$

	/**
	 * name of 'tempDir' XML attribute
	 */
	public static final String ATTR_TEMP_DIR = "tempDir"; //$NON-NLS-1$

	/**
	 * name of 'type' XML attribute
	 */
	public static final String ATTR_TYPE = "type"; //$NON-NLS-1$

	/**
	 * name of 'unknown' XML attribute
	 */
	public static final String ATTR_UNKNOWN = "unknown"; //$NON-NLS-1$

	/**
	 * name of 'validate' XML attribute
	 */
	public static final String ATTR_VALIDATE = "validate"; //$NON-NLS-1$

	/**
	 * name of 'value' XML attribute
	 */
	public static final String ATTR_VALUE = "value"; //$NON-NLS-1$

	/**
	 * Creates a new StrutsConfig XML mapping.
	 */
	private StrutsConfigXmlMapping() {
		// do nothing
	}

}
