/**
 * <copyright>
 * </copyright>
 *
 * $Id: StrutsConfigAdapterFactory.java,v 1.3 2005/07/21 15:21:01 daniel_rohe Exp $
 */
package de.strutsbox.strutsconfig.util;

import de.strutsbox.strutsconfig.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see de.strutsbox.strutsconfig.StrutsConfigPackage
 * @generated
 */
public class StrutsConfigAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static StrutsConfigPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StrutsConfigAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = StrutsConfigPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch the delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected StrutsConfigSwitch modelSwitch =
		new StrutsConfigSwitch() {
			public Object caseVisualizable(Visualizable object) {
				return createVisualizableAdapter();
			}
			public Object caseConfigurable(Configurable object) {
				return createConfigurableAdapter();
			}
			public Object caseSetPropertyType(SetPropertyType object) {
				return createSetPropertyTypeAdapter();
			}
			public Object caseStrutsConfigType(StrutsConfigType object) {
				return createStrutsConfigTypeAdapter();
			}
			public Object caseDataSourcesType(DataSourcesType object) {
				return createDataSourcesTypeAdapter();
			}
			public Object caseDataSourceType(DataSourceType object) {
				return createDataSourceTypeAdapter();
			}
			public Object caseFormBeansType(FormBeansType object) {
				return createFormBeansTypeAdapter();
			}
			public Object caseFormBeanType(FormBeanType object) {
				return createFormBeanTypeAdapter();
			}
			public Object caseFormPropertyType(FormPropertyType object) {
				return createFormPropertyTypeAdapter();
			}
			public Object caseGlobalExceptionsType(GlobalExceptionsType object) {
				return createGlobalExceptionsTypeAdapter();
			}
			public Object caseExceptionType(ExceptionType object) {
				return createExceptionTypeAdapter();
			}
			public Object caseGlobalForwardsType(GlobalForwardsType object) {
				return createGlobalForwardsTypeAdapter();
			}
			public Object caseForwardType(ForwardType object) {
				return createForwardTypeAdapter();
			}
			public Object caseActionMappingsType(ActionMappingsType object) {
				return createActionMappingsTypeAdapter();
			}
			public Object caseActionType(ActionType object) {
				return createActionTypeAdapter();
			}
			public Object caseControllerType(ControllerType object) {
				return createControllerTypeAdapter();
			}
			public Object caseMessageResourcesType(MessageResourcesType object) {
				return createMessageResourcesTypeAdapter();
			}
			public Object casePlugInType(PlugInType object) {
				return createPlugInTypeAdapter();
			}
			public Object defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	public Adapter createAdapter(Notifier target) {
		return (Adapter)modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.Visualizable <em>Visualizable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.Visualizable
	 * @generated
	 */
	public Adapter createVisualizableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.Configurable <em>Configurable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.Configurable
	 * @generated
	 */
	public Adapter createConfigurableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.SetPropertyType <em>Set Property Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.SetPropertyType
	 * @generated
	 */
	public Adapter createSetPropertyTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.StrutsConfigType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.StrutsConfigType
	 * @generated
	 */
	public Adapter createStrutsConfigTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.DataSourcesType <em>Data Sources Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.DataSourcesType
	 * @generated
	 */
	public Adapter createDataSourcesTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.DataSourceType <em>Data Source Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.DataSourceType
	 * @generated
	 */
	public Adapter createDataSourceTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.FormBeansType <em>Form Beans Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.FormBeansType
	 * @generated
	 */
	public Adapter createFormBeansTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.FormBeanType <em>Form Bean Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.FormBeanType
	 * @generated
	 */
	public Adapter createFormBeanTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.FormPropertyType <em>Form Property Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.FormPropertyType
	 * @generated
	 */
	public Adapter createFormPropertyTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.GlobalExceptionsType <em>Global Exceptions Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.GlobalExceptionsType
	 * @generated
	 */
	public Adapter createGlobalExceptionsTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.ExceptionType <em>Exception Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.ExceptionType
	 * @generated
	 */
	public Adapter createExceptionTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.GlobalForwardsType <em>Global Forwards Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.GlobalForwardsType
	 * @generated
	 */
	public Adapter createGlobalForwardsTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.ForwardType <em>Forward Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.ForwardType
	 * @generated
	 */
	public Adapter createForwardTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.ActionMappingsType <em>Action Mappings Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.ActionMappingsType
	 * @generated
	 */
	public Adapter createActionMappingsTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.ActionType <em>Action Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.ActionType
	 * @generated
	 */
	public Adapter createActionTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.ControllerType <em>Controller Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.ControllerType
	 * @generated
	 */
	public Adapter createControllerTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.MessageResourcesType <em>Message Resources Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.MessageResourcesType
	 * @generated
	 */
	public Adapter createMessageResourcesTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link de.strutsbox.strutsconfig.PlugInType <em>Plug In Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see de.strutsbox.strutsconfig.PlugInType
	 * @generated
	 */
	public Adapter createPlugInTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //StrutsConfigAdapterFactory
