/**
 * <copyright>
 * </copyright>
 *
 * $Id: StrutsConfigSwitch.java,v 1.3 2005/07/21 15:21:01 daniel_rohe Exp $
 */
package de.strutsbox.strutsconfig.util;

import de.strutsbox.strutsconfig.*;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see de.strutsbox.strutsconfig.StrutsConfigPackage
 * @generated
 */
public class StrutsConfigSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static StrutsConfigPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StrutsConfigSwitch() {
		if (modelPackage == null) {
			modelPackage = StrutsConfigPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case StrutsConfigPackage.VISUALIZABLE: {
				Visualizable visualizable = (Visualizable)theEObject;
				Object result = caseVisualizable(visualizable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.CONFIGURABLE: {
				Configurable configurable = (Configurable)theEObject;
				Object result = caseConfigurable(configurable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.SET_PROPERTY_TYPE: {
				SetPropertyType setPropertyType = (SetPropertyType)theEObject;
				Object result = caseSetPropertyType(setPropertyType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.STRUTS_CONFIG_TYPE: {
				StrutsConfigType strutsConfigType = (StrutsConfigType)theEObject;
				Object result = caseStrutsConfigType(strutsConfigType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.DATA_SOURCES_TYPE: {
				DataSourcesType dataSourcesType = (DataSourcesType)theEObject;
				Object result = caseDataSourcesType(dataSourcesType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.DATA_SOURCE_TYPE: {
				DataSourceType dataSourceType = (DataSourceType)theEObject;
				Object result = caseDataSourceType(dataSourceType);
				if (result == null) result = caseConfigurable(dataSourceType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.FORM_BEANS_TYPE: {
				FormBeansType formBeansType = (FormBeansType)theEObject;
				Object result = caseFormBeansType(formBeansType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.FORM_BEAN_TYPE: {
				FormBeanType formBeanType = (FormBeanType)theEObject;
				Object result = caseFormBeanType(formBeanType);
				if (result == null) result = caseConfigurable(formBeanType);
				if (result == null) result = caseVisualizable(formBeanType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.FORM_PROPERTY_TYPE: {
				FormPropertyType formPropertyType = (FormPropertyType)theEObject;
				Object result = caseFormPropertyType(formPropertyType);
				if (result == null) result = caseConfigurable(formPropertyType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.GLOBAL_EXCEPTIONS_TYPE: {
				GlobalExceptionsType globalExceptionsType = (GlobalExceptionsType)theEObject;
				Object result = caseGlobalExceptionsType(globalExceptionsType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.EXCEPTION_TYPE: {
				ExceptionType exceptionType = (ExceptionType)theEObject;
				Object result = caseExceptionType(exceptionType);
				if (result == null) result = caseConfigurable(exceptionType);
				if (result == null) result = caseVisualizable(exceptionType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.GLOBAL_FORWARDS_TYPE: {
				GlobalForwardsType globalForwardsType = (GlobalForwardsType)theEObject;
				Object result = caseGlobalForwardsType(globalForwardsType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.FORWARD_TYPE: {
				ForwardType forwardType = (ForwardType)theEObject;
				Object result = caseForwardType(forwardType);
				if (result == null) result = caseConfigurable(forwardType);
				if (result == null) result = caseVisualizable(forwardType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.ACTION_MAPPINGS_TYPE: {
				ActionMappingsType actionMappingsType = (ActionMappingsType)theEObject;
				Object result = caseActionMappingsType(actionMappingsType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.ACTION_TYPE: {
				ActionType actionType = (ActionType)theEObject;
				Object result = caseActionType(actionType);
				if (result == null) result = caseConfigurable(actionType);
				if (result == null) result = caseVisualizable(actionType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.CONTROLLER_TYPE: {
				ControllerType controllerType = (ControllerType)theEObject;
				Object result = caseControllerType(controllerType);
				if (result == null) result = caseConfigurable(controllerType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.MESSAGE_RESOURCES_TYPE: {
				MessageResourcesType messageResourcesType = (MessageResourcesType)theEObject;
				Object result = caseMessageResourcesType(messageResourcesType);
				if (result == null) result = caseConfigurable(messageResourcesType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case StrutsConfigPackage.PLUG_IN_TYPE: {
				PlugInType plugInType = (PlugInType)theEObject;
				Object result = casePlugInType(plugInType);
				if (result == null) result = caseConfigurable(plugInType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Visualizable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Visualizable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseVisualizable(Visualizable object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Configurable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Configurable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseConfigurable(Configurable object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Set Property Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Set Property Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSetPropertyType(SetPropertyType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStrutsConfigType(StrutsConfigType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Data Sources Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Data Sources Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDataSourcesType(DataSourcesType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Data Source Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Data Source Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDataSourceType(DataSourceType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Form Beans Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Form Beans Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFormBeansType(FormBeansType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Form Bean Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Form Bean Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFormBeanType(FormBeanType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Form Property Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Form Property Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseFormPropertyType(FormPropertyType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Global Exceptions Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Global Exceptions Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGlobalExceptionsType(GlobalExceptionsType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Exception Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Exception Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExceptionType(ExceptionType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Global Forwards Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Global Forwards Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseGlobalForwardsType(GlobalForwardsType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Forward Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Forward Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseForwardType(ForwardType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Action Mappings Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Action Mappings Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseActionMappingsType(ActionMappingsType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Action Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Action Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseActionType(ActionType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Controller Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Controller Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseControllerType(ControllerType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Message Resources Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Message Resources Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMessageResourcesType(MessageResourcesType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Plug In Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Plug In Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePlugInType(PlugInType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //StrutsConfigSwitch
